org.apache.struts2.action

## Class DefaultCspReportAction

- java.lang.Object
- - org.apache.struts2.ActionSupport
  - - com.opensymphony.xwork2.ActionSupport
    - - org.apache.struts2.action.CspReportAction
      - - org.apache.struts2.action.DefaultCspReportAction

- All Implemented Interfaces:
    LocaleProvider, TextProvider, Serializable, Action, ServletRequestAware, ServletResponseAware, ValidationAware, Validateable

      public class DefaultCspReportAction
      extends CspReportAction

  The default implementation of `CspReportAction` that simply logs the JSON object that contains the details of the CSP violation.
  See Also:
    `CspReportAction`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `ValidationAware.LegacyAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.logging.log4j.Logger` | `LOG`

    - ### Fields inherited from class org.apache.struts2.action.CspReportAction

      `DEFAULT_MAX_REPORT_SIZE`

    - ### Fields inherited from class org.apache.struts2.ActionSupport

      `container`

    - ### Fields inherited from interface org.apache.struts2.action.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCspReportAction()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.struts2.action.CspReportAction

      `getServletRequest, setMaxReportSize, setServletRequest, withServletRequest, withServletResponse`

    - ### Methods inherited from class org.apache.struts2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, execute, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.action.Action

      `execute`

    - ### Methods inherited from interface org.apache.struts2.Validateable

      `validate`

    - ### Methods inherited from interface com.opensymphony.xwork2.interceptor.ValidationAware

      `adapt`

    - ### Methods inherited from interface org.apache.struts2.interceptor.ValidationAware

      `addActionError, addActionMessage, addFieldError, getActionErrors, getActionMessages, getFieldErrors, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, setActionErrors, setActionMessages, setFieldErrors`

- - ### Field Detail

    - #### LOG

          protected static final org.apache.logging.log4j.Logger LOG

  - ### Constructor Detail

    - #### DefaultCspReportAction

          public DefaultCspReportAction()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.